## bitcoin 0.16.3~dfsg

=== depends/Makefile ===
.NOTPARALLEL :

SOURCES_PATH ?= $(BASEDIR)/sources
BASE_CACHE ?= $(BASEDIR)/built
SDK_PATH ?= $(BASEDIR)/SDKs
NO_QT ?=
NO_WALLET ?=
NO_UPNP ?=
FALLBACK_DOWNLOAD_PATH ?= https://bitcoincore.org/depends-sources

BUILD = $(shell ./config.guess)
HOST ?= $(BUILD)
PATCHES_PATH = $(BASEDIR)/patches
BASEDIR = $(CURDIR)
HASH_LENGTH:=11
DOWNLOAD_CONNECT_TIMEOUT:=10
DOWNLOAD_RETRIES:=3
HOST_ID_SALT ?= salt
BUILD_ID_SALT ?= salt

host:=$(BUILD)
ifneq ($(HOST),)
host:=$(HOST)
endif

ifneq ($(DEBUG),)
release_type=debug
else
release_type=release
endif

base_build_dir=$(BASEDIR)/work/build
base_staging_dir=$(BASEDIR)/work/staging
base_download_dir=$(BASEDIR)/work/download
canonical_host:=$(shell ./config.sub $(HOST))
build:=$(shell ./config.sub $(BUILD))

build_arch =$(firstword $(subst -, ,$(build)))
build_vendor=$(word 2,$(subst -, ,$(build)))
full_build_os:=$(subst $(build_arch)-$(build_vendor)-,,$(build))
build_os:=$(findstring linux,$(full_build_os))
build_os+=$(findstring darwin,$(full_build_os))
build_os:=$(strip $(build_os))
ifeq ($(build_os),)
build_os=$(full_build_os)
endif

host_arch=$(firstword $(subst -, ,$(canonical_host)))
host_vendor=$(word 2,$(subst -, ,$(canonical_host)))
full_host_os:=$(subst $(host_arch)-$(host_vendor)-,,$(canonical_host))
host_os:=$(findstring linux,$(full_host_os))
host_os+=$(findstring darwin,$(full_host_os))
host_os+=$(findstring mingw32,$(full_host_os))
host_os:=$(strip $(host_os))
ifeq ($(host_os),)
host_os=$(full_host_os)
endif

$(host_arch)_$(host_os)_prefix=$(BASEDIR)/$(host)
$(host_arch)_$(host_os)_host=$(host)
host_prefix=$($(host_arch)_$(host_os)_prefix)
build_prefix=$(host_prefix)/native
build_host=$(build)

AT_$(V):=
AT_:=@
AT:=$(AT_$(V))

all: install

include hosts/$(host_os).mk
include hosts/default.mk
include builders/$(build_os).mk
include builders/default.mk
include packages/packages.mk

build_id_string:=$(BUILD_ID_SALT)
build_id_string+=$(shell $(build_CC) --version 2>/dev/null)
build_id_string+=$(shell $(build_AR) --version 2>/dev/null)
build_id_string+=$(shell $(build_CXX) --version 2>/dev/null)
build_id_string+=$(shell $(build_RANLIB) --version 2>/dev/null)
build_id_string+=$(shell $(build_STRIP) --version 2>/dev/null)

$(host_arch)_$(host_os)_id_string:=$(HOST_ID_SALT)
$(host_arch)_$(host_os)_id_string+=$(shell $(host_CC) --version 2>/dev/null)
$(host_arch)_$(host_os)_id_string+=$(shell $(host_AR) --version 2>/dev/null)
$(host_arch)_$(host_os)_id_string+=$(shell $(host_CXX) --version 2>/dev/null)
$(host_arch)_$(host_os)_id_string+=$(shell $(host_RANLIB) --version 2>/dev/null)
$(host_arch)_$(host_os)_id_string+=$(shell $(host_STRIP) --version 2>/dev/null)

qt_packages_$(NO_QT) = $(qt_packages) $(qt_$(host_os)_packages) $(qt_$(host_arch)_$(host_os)_packages)
wallet_packages_$(NO_WALLET) = $(wallet_packages)
upnp_packages_$(NO_UPNP) = $(upnp_packages)

packages += $($(host_arch)_$(host_os)_packages) $($(host_os)_packages) $(qt_packages_) $(wallet_packages_) $(upnp_packages_)
native_packages += $($(host_arch)_$(host_os)_native_packages) $($(host_os)_native_packages)

ifneq ($(qt_packages_),)
native_packages += $(qt_native_packages)
endif

all_packages = $(packages) $(native_packages)

meta_depends = Makefile funcs.mk builders/default.mk hosts/default.mk hosts/$(host_os).mk builders/$(build_os).mk

$(host_arch)_$(host_os)_native_toolchain?=$($(host_os)_native_toolchain)

include funcs.mk

toolchain_path=$($($(host_arch)_$(host_os)_native_toolchain)_prefixbin)
final_build_id_long+=$(shell $(build_SHA256SUM) config.site.in)
final_build_id+=$(shell echo -n "$(final_build_id_long)" | $(build_SHA256SUM) | cut -c-$(HASH_LENGTH))
$(host_prefix)/.stamp_$(final_build_id): $(native_packages) $(packages)
	$(AT)rm -rf $(@D)
	$(AT)mkdir -p $(@D)
	$(AT)echo copying packages: $^
	$(AT)echo to: $(@D)
	$(AT)cd $(@D); $(foreach package,$^, tar xf $($(package)_cached); )
	$(AT)touch $@

$(host_prefix)/share/config.site : config.site.in $(host_prefix)/.stamp_$(final_build_id)
	$(AT)@mkdir -p $(@D)
	$(AT)sed -e 's|@HOST@|$(host)|' \
            -e 's|@CC@|$(toolchain_path)$(host_CC)|' \
            -e 's|@CXX@|$(toolchain_path)$(host_CXX)|' \
            -e 's|@AR@|$(toolchain_path)$(host_AR)|' \
            -e 's|@RANLIB@|$(toolchain_path)$(host_RANLIB)|' \
            -e 's|@NM@|$(toolchain_path)$(host_NM)|' \
            -e 's|@STRIP@|$(toolchain_path)$(host_STRIP)|' \
            -e 's|@build_os@|$(build_os)|' \
            -e 's|@host_os@|$(host_os)|' \
            -e 's|@CFLAGS@|$(strip $(host_CFLAGS) $(host_$(release_type)_CFLAGS))|' \
            -e 's|@CXXFLAGS@|$(strip $(host_CXXFLAGS) $(host_$(release_type)_CXXFLAGS))|' \
            -e 's|@CPPFLAGS@|$(strip $(host_CPPFLAGS) $(host_$(release_type)_CPPFLAGS))|' \
            -e 's|@LDFLAGS@|$(strip $(host_LDFLAGS) $(host_$(release_type)_LDFLAGS))|' \
            -e 's|@allow_host_packages@|$(ALLOW_HOST_PACKAGES)|' \
            -e 's|@no_qt@|$(NO_QT)|' \
            -e 's|@no_wallet@|$(NO_WALLET)|' \
            -e 's|@no_upnp@|$(NO_UPNP)|' \
            -e 's|@debug@|$(DEBUG)|' \
            $< > $@
	$(AT)touch $@


define check_or_remove_cached
  mkdir -p $(BASE_CACHE)/$(host)/$(package) && cd $(BASE_CACHE)/$(host)/$(package); \
  $(build_SHA256SUM) -c $($(package)_cached_checksum) >/dev/null 2>/dev/null || \
  ( rm -f $($(package)_cached_checksum); \
    if test -f "$($(package)_cached)"; then echo "Checksum mismatch for $(package). Forcing rebuild.."; rm -f $($(package)_cached_checksum) $($(package)_cached); fi )
endef

define check_or_remove_sources
  mkdir -p $($(package)_source_dir); cd $($(package)_source_dir); \
  test -f $($(package)_fetched) && ( $(build_SHA256SUM) -c $($(package)_fetched) >/dev/null 2>/dev/null || \
    ( echo "Checksum missing or mismatched for $(package) source. Forcing re-download."; \
      rm -f $($(package)_all_sources) $($(1)_fetched))) || true
endef

check-packages:
	@$(foreach package,$(all_packages),$(call check_or_remove_cached,$(package));)
check-sources:
	@$(foreach package,$(all_packages),$(call check_or_remove_sources,$(package));)

$(host_prefix)/share/config.site: check-packages

check-packages: check-sources

install: check-packages $(host_prefix)/share/config.site


download-one: check-sources $(all_sources)

download-osx:
	@$(MAKE) -s HOST=x86_64-apple-darwin11 download-one
download-linux:
	@$(MAKE) -s HOST=x86_64-unknown-linux-gnu download-one
download-win:
	@$(MAKE) -s HOST=x86_64-w64-mingw32 download-one
download: download-osx download-linux download-win

.PHONY: install cached download-one download-osx download-linux download-win download check-packages check-sources

## bitcoin 0.3.24~dfsg

=== debian/changelog ===
bitcoin (0.3.24~dfsg-1) unstable; urgency=low

  * New upstream release.

  [ Jonas Smedegaard ]
  * Improve various usage hints:
    + Explicitly mention in long description that bitcoind contains
      daemon and command-line interface.
    + Extend README.Debian with section on lack of GUI, and add primary
      headline.
    + Avoid installing upstream README: contains no parts relevant for
      Debian usage.
    Thanks to richard for suggestions (see bug#629443).
  * Favor final releases over prereleases in rules and watch file.
    Thanks to Jan Dittberner.
  * Track -src (not -linux) tarballs in rules and watch file.
    Thanks to Jan Dittberner.
  * Drop patches 1004 and 1005 (integrated upstream) and simplify
    CXXFLAGS in rules file.
  * Stop stripping no longer included source-less binaries from upstream
    tarballs.

  [ Jan Dittberner ]
  * refresh debian/patches/1000_use_system_crypto++.patch

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 19 Jul 2011 15:08:54 +0200

bitcoin (0.3.21~dfsg-2) unstable; urgency=low

  * Enable UPNP support:
    + Drop patch 1006.
    + Build-depend on libminiupnpc-dev.
    Thanks to Matt Corallo.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 28 May 2011 15:52:44 +0200

bitcoin (0.3.21~dfsg-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Drop patch 1002: no longer needed, as upstream use pkgconfig now.
  * Add patch 1006 to really unset USE_UPNP as aparently intended.
  * Adjust cleanup rule to preserve .gitignore files.
  * Update copyright file:
    + Bump format to draft 174 of DEP-5.
    + Shorten comments.
  * Bump policy compliance to standards-version 3.9.2.
  * Shorten Vcs-Browser paragraph in control file.
  * Fix mention daemon (not CLI tools) in short description.
  * Stop conflicting with or replace bitcoin-cli: Only transitional, no
    longer needed.
  * Link against unversioned berkeleydb. Update NEWS and README.Debian
    accordingly (and improve wording while at it).
    Closes: Bug#621425. Thanks to Ondřej Surý.
  * This release also implicitly updates linkage against libcrypto++,
    which closes: bug#626953, #627024.
  * Disable linkage against not yet Debian packaged MiniUPnP.
  * Silence seemingly harmless noise about unused variables.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 17 May 2011 15:31:24 +0200

bitcoin (0.3.20.2~dfsg-2) unstable; urgency=medium

  * Fix have wrapper script execute real binary (not loop executing
    itself).
    Closes: bug#617290. Thanks to Philippe Gauthier and Etienne Laurin.
  * Set urgency=medium as the only (user-exposed) binary is useless
    without this fix and has been for some time.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 16 Mar 2011 09:11:06 +0100

bitcoin (0.3.20.2~dfsg-1) unstable; urgency=low

  * New upstream release.
  * Fix provide and replace former package name bitcoin-cli.
    Closes: bug#618439. Thanks to Shane Wegner.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 15 Mar 2011 11:41:43 +0100

bitcoin (0.3.20.01~dfsg-1) unstable; urgency=low

  * New upstream release.

  [ Micah Anderson ]
  * Add myself as uploader.

  [ Jonas Smedegaard ]
  * Add wrapper for bitcoind to ease initial startup.
  * Update patches:
    + Drop patch 2002: Applied upstream.
    + Add patch 1005 to add phtread linker option.
      Closes: bug#615619. Thanks to Shane Wegner.
    + Refresh patches.
  * Extend copyright years in rules file header.
  * Rewrite copyright file using draft svn166 of DEP5 format.
  * Rename binary package to bitcoind (from bincoin-cli).
    Closes: bug#614025. Thanks to Luke-Jr.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 01 Mar 2011 15:55:04 +0100

bitcoin (0.3.19~dfsg-6) unstable; urgency=low

  * Fix override agressive optimizations.
  * Fix tighten build-dependencies to really fit backporting to Lenny:
    + Add fallback build-dependency on libdb4.6++-dev.
    + Tighten unversioned Boost build-dependencies to recent versions,
      To force use of versioned Boost when backporting to Lenny.
    ...needs more love, though: actual build fails.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 17 Jan 2011 19:48:35 +0100

bitcoin (0.3.19~dfsg-5) unstable; urgency=low

  * Fix lower Boost fallback-build-dependencies to 1.35, really
    available in Lenny.
  * Correct comment in rules file regarding reason for versioned Boost
    fallback-build-dependency.
  * Add patch 2002 adding -mt decoration to Boost flags, to ease
    backporting to Lenny.
  * Respect DEB_BUILD_OPTIONS, and suppress arch-specific optimizations:
    + Add patch 1004 to allow overriding optimization flags.
    + Set optimization flags conditionally at build time.
    + Drop patch 2002 unconditionally suppressing arch-optimizations.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 17 Jan 2011 16:04:48 +0100

bitcoin (0.3.19~dfsg-4) unstable; urgency=low

  [ Micah Anderson ]
  * Provide example bitcoin.conf.
  * Add bitcoind(1) and bitcoin.conf(5) man pages.

  [ Jonas Smedegaard ]
  * Ease backporting:
    + Suppress optional build-dependencies.
    + Add fallback build-dependencies on the most recent Boost libs
    available in Lenny (where unversioned Boost libs are missing).
  * Add Micah as copyright holder for manpages, licensed as GPL-3+.
  * Bump copyright format to Subversion candidate draft 162 of DEP5.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 17 Jan 2011 14:00:48 +0100

bitcoin (0.3.19~dfsg-3) unstable; urgency=low

  * Document in copyright file files excluded from repackaged source.
  * Update copyright file:
    + Bump DEP5 format hint to Subversion draft rev. 153.
    + Consistently wrap at 72 chars.
    + Refer to GPL-2 file (not GPL symlink).
  * Link against Berkeley DB 4.8 (not 4.7):
    + Build-depend on libdb4.8++-dev (and on on libdb4.7++-dev).
    + Suggest libdb4.8-util and db4.7-util.
    + Add README.Debian note on (untested) upgrade routine.
    + Add NEWS entry on changed db version, referring to README.Debian.



=== debian/control ===
Source: bitcoin
Section: utils
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Uploaders: Micah Anderson <micah@debian.org>
Build-Depends: cdbs,
 debhelper (>= 6),
 dh-buildinfo,
 libboost-system-dev (>> 1.35) | libboost-system1.35-dev,
 libdb++-dev | libdb4.6++-dev,
 libssl-dev,
 libcrypto++-dev,
 pkg-config,
 libglib2.0-dev,
 libminiupnpc-dev,
 libboost-filesystem-dev (>> 1.35) | libboost-filesystem1.35-dev,
 libboost-program-options-dev (>> 1.35) | libboost-program-options1.35-dev,
 libboost-thread-dev (>> 1.35) | libboost-thread1.35-dev
Standards-Version: 3.9.2
Homepage: http://www.bitcoin.org/
Vcs-Git: git://git.debian.org/git/collab-maint/bitcoin
Vcs-Browser: http://git.debian.org/?p=collab-maint/bitcoin.git

Package: bitcoind
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: ${cdbs:Suggests}
Description: peer-to-peer network based anonymous digital currency - daemon
 Bitcoin is a free open source peer-to-peer electronic cash system that
 is completely decentralized, without the need for a central server or
 trusted parties.  Users hold the crypto keys to their own money and
 transact directly with each other, with the help of a P2P network to
 check for double-spending.
 .
 By default connects to an IRC network to discover other peers.
 .
 Full transaction history is stored locally at each client.  This
 requires 150+ MB of space, slowly growing.
 .
 This package provides bitcoind, a combined daemon and CLI tool to
 interact with the daemon.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2010-2011 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for Bitcoin
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

-include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk

# suppress optional build-dependencies
CDBS_BUILD_DEPENDS_rules_upstream-tarball =
CDBS_BUILD_DEPENDS_rules_utils_copyright-check =

DEB_UPSTREAM_URL = http://downloads.sourceforge.net/sourceforge/bitcoin
DEB_UPSTREAM_TARBALL_BASENAME_MANGLE = s/~(alpha|beta|rc)/\1/,s/$$/-src/
DEB_UPSTREAM_TARBALL_SRCDIR = $(DEB_UPSTREAM_PACKAGE)-$(DEB_UPSTREAM_TARBALL_VERSION)
DEB_UPSTREAM_TARBALL_MD5 = 045e1b4efd609c5b502d05488a5393b5

# unneeded external project sources
DEB_UPSTREAM_REPACKAGE_EXCLUDES += ./src/cryptopp/

# Silence .ico and .mo files in addition to the default debian files
DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^src/rc/bitcoin.ico|locale/.*/LC_MESSAGES/.*.mo|debian/(changelog|copyright(|_hints|_newhints))$

DEB_BUILDDIR = src

DEB_MAKE_MAKEFILE = makefile.unix

# Avoid GUI until wxWidget 2.9 is in Debian
DEB_MAKE_BUILD_TARGET = bitcoind

# Readd default flags
CXXFLAGS += -D__WXGTK__ -DNOPCH -DUSE_SSL
#CXXFLAGS += -Wno-invalid-offsetof -Wformat

# Silence seemingly harmless noise about unused variables
CXXFLAGS += -Wno-unused-variable

# Use optimized miner for amd64 only
CXXFLAGS += $(if $(filter amd64,$(DEB_HOST_ARCH)),-DFOURWAYSSE2)

DEB_INSTALL_EXAMPLES_bitcoind += debian/examples/*
DEB_INSTALL_MANPAGES_bitcoind += debian/manpages/*

# Apparently any recent boost is ok.  Unversioned Boost in Lenny is too
# old, however (do not include libboost-system*), so add fallback to
# ease backporting
boostver =
boostoldver = 1.35
boostdep = $(foreach dep,$1,libboost-$(dep)$(boostver)-dev (>> $(boostoldver)) | libboost-$(dep)$(boostoldver)-dev$(comma) )

CDBS_BUILD_DEPENDS += , $(call boostdep,system), libdb++-dev | libdb4.6++-dev, libssl-dev, libcrypto++-dev, pkg-config, libglib2.0-dev, libminiupnpc-dev
# TODO: Drop this when maybe system json is used some day
CDBS_BUILD_DEPENDS += , $(call boostdep,filesystem program-options thread)

# FIXME: when available, enable this and install into -gui package
#CDBS_BUILD_DEPENDS += , libwxgtk2.9-dev

CDBS_SUGGESTS_bitcoind = db-util, db4.8-util, db4.7-util

# Upstream README contains no parts relevant for Debian usage
DEB_INSTALL_DOCS_ALL =

pre-build::
	mkdir -p src/obj/nogui
clean::
	find src/obj -type f -not -name .gitignore -delete
	rm -f src/bitcoind

# Ensure wrapper is set executable
binary-post-install/bitcoind::
	chmod +x $(cdbs_curdestdir)usr/bin/bitcoind

=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=3
# use qa.debian.org redirector; see man uscan
opts=uversionmangle=s/(\d)(alpha|beta|rc)/$1~$2/;s/\-src//,dversionmangle=s/~dfsg\d*// \
 http://sf.net/bitcoin/bitcoin-(\d.*)-linux\.tar\.gz debian

## bitcoin 0.4.0

=== debian/changelog ===
bitcoin (0.4.0-1) unstable; urgency=low

  * New upstream release.
  * Stop repackaging source tarballs: No DFSG-violating stripping left.
  * Update copyright file:
    + Add Github URL to Source.
  * Drop dpkg-source local-options hint: Declared options are default
    since dpkg-source 1.16.1.
    + Add irc URL to Upstream-Contact.
    + Add comment on Bitcoin Developers to catch-all Files section.
    + Add Files sections for newly readded src/cryptopp/* (new custom
      BSD-like license), and newly added doc/build-osx.txt and
      src/makefile.osx (Expat).
  * Bump debhelper compatibility level to 7.
  * Suppress binary icns and gpg files.
  * Enable regression tests:
    + Build-depend on libboost-test-dev.
    + Extend patch 1003 to also dynamically link test binary.
    + Build and invoke test binary unless tests are disabled.
  * Tighten build-dependency on cdbs: Recent version needed to support
    debhelper 7.
  * Relax build-depend unversioned on debhelper: needed version
    satisfied even in oldstable.
  * Stop suppress optional build-dependencies: Satisfied in stable.
    Build-depend on devscripts (enabling copyright-check).

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 05 Oct 2011 01:48:53 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: optional
 Maintainer: Jonas Smedegaard <dr@jones.dk>
 Uploaders: Micah Anderson <micah@debian.org>
-Build-Depends: cdbs,
- debhelper (>= 6),
+Build-Depends: cdbs (>= 0.4.72~),
+ debhelper,
  dh-buildinfo,
+ devscripts,
  libboost-system-dev (>> 1.35) | libboost-system1.35-dev,
  libdb++-dev | libdb4.6++-dev,
  libssl-dev,
@@ -15,7 +16,8 @@
  libminiupnpc-dev,
  libboost-filesystem-dev (>> 1.35) | libboost-filesystem1.35-dev,
  libboost-program-options-dev (>> 1.35) | libboost-program-options1.35-dev,
- libboost-thread-dev (>> 1.35) | libboost-thread1.35-dev
+ libboost-thread-dev (>> 1.35) | libboost-thread1.35-dev,
+ libboost-test-dev (>> 1.35) | libboost-test1.35-dev
 Standards-Version: 3.9.2
 Homepage: http://www.bitcoin.org/
 Vcs-Git: git://git.debian.org/git/collab-maint/bitcoin

=== debian/rules ===
--- 
+++ 
@@ -21,20 +21,13 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/rules/utils.mk
 
-# suppress optional build-dependencies
-CDBS_BUILD_DEPENDS_rules_upstream-tarball =
-CDBS_BUILD_DEPENDS_rules_utils_copyright-check =
-
 DEB_UPSTREAM_URL = http://downloads.sourceforge.net/sourceforge/bitcoin
 DEB_UPSTREAM_TARBALL_BASENAME_MANGLE = s/~(alpha|beta|rc)/\1/,s/$$/-src/
 DEB_UPSTREAM_TARBALL_SRCDIR = $(DEB_UPSTREAM_PACKAGE)-$(DEB_UPSTREAM_TARBALL_VERSION)
-DEB_UPSTREAM_TARBALL_MD5 = 045e1b4efd609c5b502d05488a5393b5
-
-# unneeded external project sources
-DEB_UPSTREAM_REPACKAGE_EXCLUDES += ./src/cryptopp/
+DEB_UPSTREAM_TARBALL_MD5 = 4db3074a810d6bf457aa5e7468b745df
 
 # Silence .ico and .mo files in addition to the default debian files
-DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^src/rc/bitcoin.ico|locale/.*/LC_MESSAGES/.*.mo|debian/(changelog|copyright(|_hints|_newhints))$
+DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^contrib/Bitcoin.app/Contents/Resources/BitcoinAppIcon\.icns|contrib/gitian-downloader/sipa-key\.pgp|locale/.*/LC_MESSAGES/.*.mo|debian/(changelog|copyright(|_hints|_newhints))$
 
 DEB_BUILDDIR = src
 
@@ -42,6 +35,10 @@
 
 # Avoid GUI until wxWidget 2.9 is in Debian
 DEB_MAKE_BUILD_TARGET = bitcoind
+
+DEB_MAKE_CHECK_TARGET = test_bitcoin
+build/bitcoind::
+	$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),,src/test_bitcoin)
 
 # Readd default flags
 CXXFLAGS += -D__WXGTK__ -DNOPCH -DUSE_SSL
@@ -65,7 +62,7 @@
 
 CDBS_BUILD_DEPENDS += , $(call boostdep,system), libdb++-dev | libdb4.6++-dev, libssl-dev, libcrypto++-dev, pkg-config, libglib2.0-dev, libminiupnpc-dev
 # TODO: Drop this when maybe system json is used some day
-CDBS_BUILD_DEPENDS += , $(call boostdep,filesystem program-options thread)
+CDBS_BUILD_DEPENDS += , $(call boostdep,filesystem program-options thread test)
 
 # FIXME: when available, enable this and install into -gui package
 #CDBS_BUILD_DEPENDS += , libwxgtk2.9-dev

## bitcoin 0.5.0~rc1

=== debian/changelog ===
bitcoin (0.5.0~rc1-1) experimental; urgency=low

  * New upstream prerelease.
  * Add Github as alternate upstream source in watch file.
  * Stop build-depending on libcrypto++-dev, and drop patch 1000:
    Upstream no longer use crypto++.
  * Drop patch 1003: Upstream builds dynamic by default now.
  * Update copyright file: Drop notes on longer included sources.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 14 Oct 2011 00:16:18 +0200

=== debian/rules ===
--- 
+++ 
@@ -27,21 +27,18 @@
 DEB_UPSTREAM_TARBALL_MD5 = 4db3074a810d6bf457aa5e7468b745df
 
 # Silence .ico and .mo files in addition to the default debian files
-DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^contrib/Bitcoin.app/Contents/Resources/BitcoinAppIcon\.icns|contrib/gitian-downloader/sipa-key\.pgp|locale/.*/LC_MESSAGES/.*.mo|debian/(changelog|copyright(|_hints|_newhints))$
+DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^(src/qt/res/icons/.*\.png|contrib/Bitcoin.app/Contents/Resources/BitcoinAppIcon\.icns|contrib/gitian-downloader/sipa-key\.pgp|debian/(changelog|copyright(|_hints|_newhints)))$
 
 DEB_BUILDDIR = src
 
 DEB_MAKE_MAKEFILE = makefile.unix
-
-# Avoid GUI until wxWidget 2.9 is in Debian
-DEB_MAKE_BUILD_TARGET = bitcoind
 
 DEB_MAKE_CHECK_TARGET = test_bitcoin
 build/bitcoind::
 	$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),,src/test_bitcoin)
 
 # Readd default flags
-CXXFLAGS += -D__WXGTK__ -DNOPCH -DUSE_SSL
+CXXFLAGS += -DNOPCH -DUSE_SSL
 #CXXFLAGS += -Wno-invalid-offsetof -Wformat
 
 # Silence seemingly harmless noise about unused variables
@@ -60,12 +57,12 @@
 boostoldver = 1.35
 boostdep = $(foreach dep,$1,libboost-$(dep)$(boostver)-dev (>> $(boostoldver)) | libboost-$(dep)$(boostoldver)-dev$(comma) )
 
-CDBS_BUILD_DEPENDS += , $(call boostdep,system), libdb++-dev | libdb4.6++-dev, libssl-dev, libcrypto++-dev, pkg-config, libglib2.0-dev, libminiupnpc-dev
+CDBS_BUILD_DEPENDS += , $(call boostdep,system), libdb++-dev | libdb4.6++-dev, libssl-dev, pkg-config, libglib2.0-dev, libminiupnpc-dev
 # TODO: Drop this when maybe system json is used some day
 CDBS_BUILD_DEPENDS += , $(call boostdep,filesystem program-options thread test)
 
-# FIXME: when available, enable this and install into -gui package
-#CDBS_BUILD_DEPENDS += , libwxgtk2.9-dev
+# TODO: fix support DEB_QMAKE_BUILDDIR and install binary into -qt package
+#CDBS_BUILD_DEPENDS += , qt4-qmake, libqt4-dev
 
 CDBS_SUGGESTS_bitcoind = db-util, db4.8-util, db4.7-util

## bitcoin 0.5.1

=== debian/changelog ===
bitcoin (0.5.1-1) experimental; urgency=low

  * New upstream release.
  * Update to use only Github (not Sourceforge) as upstream source.
  * Update copyright file:
    + Sync list of upstream developers with http://bitcoin.org/ .
    + Add Files section for newly added contrib/macdeploy/*.
    + Extend Files section for debian-provided manpages to cover
      upstream shipped duplicate below contrib/debian.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 21 Dec 2011 11:34:17 +0700

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
  libboost-system-dev (>> 1.35) | libboost-system1.35-dev,
  libdb++-dev | libdb4.6++-dev,
  libssl-dev,
- libcrypto++-dev,
  pkg-config,
  libglib2.0-dev,
  libminiupnpc-dev,

=== debian/rules ===
--- 
+++ 
@@ -21,13 +21,14 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/rules/utils.mk
 
-DEB_UPSTREAM_URL = http://downloads.sourceforge.net/sourceforge/bitcoin
-DEB_UPSTREAM_TARBALL_BASENAME_MANGLE = s/~(alpha|beta|rc)/\1/,s/$$/-src/
-DEB_UPSTREAM_TARBALL_SRCDIR = $(DEB_UPSTREAM_PACKAGE)-$(DEB_UPSTREAM_TARBALL_VERSION)
-DEB_UPSTREAM_TARBALL_MD5 = 4db3074a810d6bf457aa5e7468b745df
+DEB_UPSTREAM_URL = http://githubredir.debian.net/github/bitcoin/bitcoin
+DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
+DEB_UPSTREAM_TARBALL_BASENAME_MANGLE = s/~(alpha|beta|rc)/\1/
+DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
+DEB_UPSTREAM_TARBALL_MD5 = dbc27461e8614fc9ec44b8ffa55b0496
 
-# Silence .ico and .mo files in addition to the default debian files
-DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^(src/qt/res/icons/.*\.png|contrib/Bitcoin.app/Contents/Resources/BitcoinAppIcon\.icns|contrib/gitian-downloader/sipa-key\.pgp|debian/(changelog|copyright(|_hints|_newhints)))$
+# Ignore graphics and .mo files in addition to the default debian files
+DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^(doc/bitcoin_logo_doxygen\.png|src/qt/res/icons/.*\.png|contrib/Bitcoin.app/Contents/Resources/BitcoinAppIcon\.icns|contrib/gitian-downloader/sipa-key\.pgp|debian/(changelog|copyright(|_hints|_newhints)))$
 
 DEB_BUILDDIR = src

## bitcoin 0.5.2

=== debian/changelog ===
bitcoin (0.5.2-1) unstable; urgency=low

  * New upstream release.
  * Add lintian override for Build-dependency on versioned Berkeley DB:
    Used only as backporting-friendly fallback.
  * Strip word "anonymous" from short description: Wrong advertising!
  * Set HOME to build dir during regression tests.
    Closes: bug#645544. Thanks to Christoph Egger.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 21 Feb 2012 17:45:31 +0100

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: ${cdbs:Suggests}
-Description: peer-to-peer network based anonymous digital currency - daemon
+Description: peer-to-peer network based digital currency - daemon
  Bitcoin is a free open source peer-to-peer electronic cash system that
  is completely decentralized, without the need for a central server or
  trusted parties.  Users hold the crypto keys to their own money and

=== debian/rules ===
--- 
+++ 
@@ -25,18 +25,19 @@
 DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
 DEB_UPSTREAM_TARBALL_BASENAME_MANGLE = s/~(alpha|beta|rc)/\1/
 DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
-DEB_UPSTREAM_TARBALL_MD5 = dbc27461e8614fc9ec44b8ffa55b0496
+DEB_UPSTREAM_TARBALL_MD5 = 35dd6d3a67b1fd6ebe79409ce1dfa7e0
 
 # Ignore graphics and .mo files in addition to the default debian files
 DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^(doc/bitcoin_logo_doxygen\.png|src/qt/res/icons/.*\.png|contrib/Bitcoin.app/Contents/Resources/BitcoinAppIcon\.icns|contrib/gitian-downloader/sipa-key\.pgp|debian/(changelog|copyright(|_hints|_newhints)))$
 
-DEB_BUILDDIR = src
+DEB_SRCDIR = src
 
 DEB_MAKE_MAKEFILE = makefile.unix
 
 DEB_MAKE_CHECK_TARGET = test_bitcoin
 build/bitcoind::
-	$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),,src/test_bitcoin)
+	mkdir -p testhome
+	$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),,HOME="testhome" src/test_bitcoin)
 
 # Readd default flags
 CXXFLAGS += -DNOPCH -DUSE_SSL
@@ -75,6 +76,7 @@
 clean::
 	find src/obj -type f -not -name .gitignore -delete
 	rm -f src/bitcoind
+	rm -rf testhome
 
 # Ensure wrapper is set executable
 binary-post-install/bitcoind::

=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=3
opts=uversionmangle=s/(\d)(alpha|beta|rc)/$1~$2/,dversionmangle=s/~dfsg\d*// \
 http://githubredir.debian.net/githubredir.cgi?author=bitcoin&project=bitcoin .*/v(.*).tar.gz

## bitcoin 0.6.2.2

=== debian/changelog ===
bitcoin (0.6.2.2-1ubuntu1) quantal; urgency=low

  * Use armel and armhf instead of any-arm, until Launchpad is made
    to recognize the latter (see bug #917708 in launchpad itself)

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 25 May 2012 00:07:58 -0600

bitcoin (0.6.2.2-1) unstable; urgency=low

  * New upstream release.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 13 May 2012 13:40:23 +0200

bitcoin (0.6.2.1-2) unstable; urgency=low

  * Fix build on wildcard any-arm (not bogus any-armel any-armhf).
    Really closes: bug#668868. Thanks to Jakub Wilk.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 10 May 2012 22:11:10 +0200

bitcoin (0.6.2.1-1) unstable; urgency=low

  * New upstream release.

  * Add -fpermissive to CXXFLAGS to work around build failure with gcc
    4.7.
    Closes: bug#667114. Thanks to Matthias Klose.
  * Only build on little-endian architectures: Upstream code does not
    support big-endian.
    Closes: bug#668868, #668864. Thanks to Dwayne C. Litzenberger.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 10 May 2012 14:09:46 +0200

bitcoin (0.6.1-1) unstable; urgency=low

  * New upstream release.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 05 May 2012 23:27:54 +0200

bitcoin (0.6.0-1) unstable; urgency=low

  * New upstream release.
  * Update copyright file:
    + Extend copyright years.
    + Add Files paragraph for new Stochastic address manager.
    + Bump format to 1.0.
    + Shorten comments, and quote license strings in them.
  * Stop setting HOME during regression tests: Fixed upstream.
  * Bump standards-version to 3.9.3.
  * Update Vcs-Browser field to use anonscm.debian.org URL.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 30 Mar 2012 20:00:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: bitcoin
 Section: utils
 Priority: optional
-Maintainer: Jonas Smedegaard <dr@jones.dk>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jonas Smedegaard <dr@jones.dk>
 Uploaders: Micah Anderson <micah@debian.org>
 Build-Depends: cdbs (>= 0.4.72~),
  debhelper,
@@ -17,13 +18,13 @@
  libboost-program-options-dev (>> 1.35) | libboost-program-options1.35-dev,
  libboost-thread-dev (>> 1.35) | libboost-thread1.35-dev,
  libboost-test-dev (>> 1.35) | libboost-test1.35-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.bitcoin.org/
 Vcs-Git: git://git.debian.org/git/collab-maint/bitcoin
-Vcs-Browser: http://git.debian.org/?p=collab-maint/bitcoin.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/bitcoin.git
 
 Package: bitcoind
-Architecture: any
+Architecture: any-alpha any-amd64 armel armhf any-i386 any-ia64 any-mipsel any-sh4
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: ${cdbs:Suggests}
 Description: peer-to-peer network based digital currency - daemon

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
 DEB_UPSTREAM_TARBALL_BASENAME_MANGLE = s/~(alpha|beta|rc)/\1/
 DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
-DEB_UPSTREAM_TARBALL_MD5 = 35dd6d3a67b1fd6ebe79409ce1dfa7e0
+DEB_UPSTREAM_TARBALL_MD5 = dd857e4ab9a92dd6049b55b242a64f4a
 
 # Ignore graphics and .mo files in addition to the default debian files
 DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^(doc/bitcoin_logo_doxygen\.png|src/qt/res/icons/.*\.png|contrib/Bitcoin.app/Contents/Resources/BitcoinAppIcon\.icns|contrib/gitian-downloader/sipa-key\.pgp|debian/(changelog|copyright(|_hints|_newhints)))$
@@ -36,8 +36,10 @@
 
 DEB_MAKE_CHECK_TARGET = test_bitcoin
 build/bitcoind::
-	mkdir -p testhome
-	$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),,HOME="testhome" src/test_bitcoin)
+	$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),,src/test_bitcoin)
+
+# work around build failure with gcc 4.7
+CXXFLAGS += -fpermissive
 
 # Readd default flags
 CXXFLAGS += -DNOPCH -DUSE_SSL
@@ -76,7 +78,6 @@
 clean::
 	find src/obj -type f -not -name .gitignore -delete
 	rm -f src/bitcoind
-	rm -rf testhome
 
 # Ensure wrapper is set executable
 binary-post-install/bitcoind::

## bitcoin 0.7.2

=== debian/changelog ===
bitcoin (0.7.2-3) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Clean up hyphen handling and rewrite long line causing roff warning
    to one where word wrapping work better, to avoid lintian warning about
    bitcoin.conf.5.
  * Update Standards-Version from 3.9.3 to 3.9.4.  No changes needed.
  * Add patch and rules code to try to debug #672524.

 -- Scott Howard <showard@debian.org>  Thu, 07 Feb 2013 10:49:50 -0500

bitcoin (0.7.2-2) unstable; urgency=low

  [ Scott Howard ]
  * Update long description: Blockchain requires several GB of space.
    Closes: #677524. Thanks to Gwern Branwen.
  * Set $HOME to debian/home since buildd do not have RW permission to
    /home/buildd.
    Closes: #696262.

  [ Petter Reinholdtsen ]
  * Remove mentions on anonymity in manual page: Only true with a lot of
    extra effort, so misleading to claim that.
    Closes: #696477. Thanks to Matt Caorallo.
  * Add patch libdb-squeeze.patch to get src/db.cpp to support linkage
    against older versions of BerkeleyDB, easing backporting to Squeeze.
  * Stop build-depend needlessly on libglib2.0-dev.
  * Add new binary package bitcoin-qt for the GUI version of the bitcoin
    client, with DBus and QR code generation enabled.
    Build-depend on qt4-qmake, libqt4-dev and libqrencode-dev.
    Remove obsolete block about the missing GUI from README.Debian.
    Rename obsolete bitcoin-gui.menu to bitcoin-qt.menu and update
    title and section based on desktop file.  Enable some
    hardening using dpkg-buildflags, while skipping others because
    it breaks the build.
    Closes: #627263. Thanks to Leandro Lucarella and Matt Corallo.
  * Add manual page for bitcoin-qt from the git repository of
    Dmitry Smirnov.
  * Add setup to install bash completion rules for bitcoind
    in bitcoind package.  Based on work from Matt Corallo.

  [ Jonas Smedegaard ]
  * Add README.source referencing our use of CDBS and git-buildpackage.
  * Update copyright file:
    + List upstream issue tracker as preferred upstream contact.
  * Update package relations:
    + Simplify to drop Boost fallback build-dependencies: Needed only
      for backport to Lenny, which is no longer supported.
    + Bump fallback BerkeleyDB build-dependency to 4.8 (default version
      is in Squeeze), and stop suggesting older utils package than that.
    + Relax to build-depend unversioned on debhelper (i.e. revert
      tightening introduced in 0.7.2-1): Needed version satisfied in
      stable, and oldstable is no longer supported.
  * Drop NEWS file: Only entry was about change of BerkeleyDB version,
    which is no longer news for testing/unstable users, and package is
    not yet stable so not news there either.
  * Improve Qt client build by use of the CDBS qmake snippet, and
    building daemon and testsuite in per-package targets (because qmake
    doesn't support flavored builds).
  * Limit HOME hack to testsuite invocation.
  * Relax lintian override to cover bumped libdb++-dev
    fallback-dependency.
  * Tidy DEP3 header of patch 1002: Drop bogus or superfluous lines.
  * Add patch 2001 to stupify header generating script: Avoid uselessly
    inspect our git.
  * Add patch 1003 to remove autogenerated build/build.h in qmake
    distclean target.
  * Check for custom DEB_BUILD_OPTIONS=noupnp option, to ease
    backporting. Add note about it to README.source.
  * Add patch 1004 to use QImage.bits (not QImage.constBits), to ease
    backporting.
    Thanks to Petter Reinholdtsen.
  * Build-depend on libqtwebkit-dev: Apparently that is needed (linker
    error if missing).
  * Disable parallel builds: Perhaps cause of Qt linker errors.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 24 Dec 2012 05:27:25 +0100

bitcoin (0.7.2-1) unstable; urgency=low

  * New upstream source. (Closes: #689917)
    - DoS vulnerabillities:
      CVE-2012-3789 closed (Closes: #682676)
      CVE-2012-4683 and CVE-2012-4682 closed (Closes: #688813)
    - Block database no longer stored alongside wallet.dat
      (Closes: #660286)

  [ Jonas Smedegaard ]
  * Update watch file to directly use github.com (not
    githubredir.debian.net).
  * Update copyright file:
    + Update list of main upstream authors.
    + Drop obsolete Files section for sha256.cpp.
    + Add Files section for newly introduced bash-completion.
    + Fix use pseudo-comment section to obey silly restrictions of
      copyright format 1.0.
  * Bump debhelper compatibility level to 8.
  * Update package relations:
    + Relax to build-depend unversioned on cdbs: Needed version
      satisfied in stable, and oldstable no longer supported.

  [ Scott Howard ]
  * debian/control
    - Changed maintainer to: Debian Bitcoin Packaging Team
  * Added myself as uploader.
  * Enabled parallel building DEB_BUILD_PARALLEL
  * Updated debian/control description of bitcoind to state that the
    blockchain now is "several GB" large (Closes: #677524)

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 10 Nov 2012 23:22:04 +0100

=== debian/control ===
Source: bitcoin
Section: utils
Priority: optional
Maintainer: Debian Bitcoin Packaging Team <pkg-bitcoin-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>, Micah Anderson <micah@debian.org>,
 Scott Howard <showard@debian.org>
Build-Depends: cdbs,
 debhelper,
 dh-buildinfo,
 devscripts,
 libminiupnpc-dev,
 libboost-system-dev,
 libboost-filesystem-dev,
 libboost-program-options-dev,
 libboost-thread-dev,
 libboost-test-dev,
 libdb++-dev | libdb4.8++-dev,
 libssl-dev,
 pkg-config,
 qt4-qmake,
 libqt4-dev,
 libqrencode-dev
Standards-Version: 3.9.4
Homepage: http://www.bitcoin.org/
Vcs-Git: git://git.debian.org/git/collab-maint/bitcoin
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/bitcoin.git

Package: bitcoind
Architecture: any-alpha any-amd64 any-arm any-i386 any-ia64 any-mipsel any-sh4
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: ${cdbs:Suggests}
Description: peer-to-peer network based digital currency - daemon
 Bitcoin is a free open source peer-to-peer electronic cash system that
 is completely decentralized, without the need for a central server or
 trusted parties.  Users hold the crypto keys to their own money and
 transact directly with each other, with the help of a P2P network to
 check for double-spending.
 .
 By default connects to an IRC network to discover other peers.
 .
 Full transaction history is stored locally at each client.  This
 requires several GB of space, slowly growing.
 .
 This package provides bitcoind, a combined daemon and CLI tool to
 interact with the daemon.

Package: bitcoin-qt
Architecture: any-alpha any-amd64 any-arm any-i386 any-ia64 any-mipsel any-sh4
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: ${cdbs:Suggests}
Description: peer-to-peer network based digital currency - GUI
 Bitcoin is a free open source peer-to-peer electronic cash system that
 is completely decentralized, without the need for a central server or
 trusted parties.  Users hold the crypto keys to their own money and
 transact directly with each other, with the help of a P2P network to
 check for double-spending.
 .
 By default connects to an IRC network to discover other peers.
 .
 Full transaction history is stored locally at each client.  This
 requires several GB of space, slowly growing.
 .
 This package provides Bitcoin-Qt, a GUI for Bitcoin based on Qt.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2010-2011 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for Bitcoin
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

-include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/class/qmake.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk

# linker failures suspected to be caused by parallel builds unsupported
#DEB_BUILD_PARALLEL = 1

DEB_UPSTREAM_URL = https://github.com/bitcoin/bitcoin/archive
DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
DEB_UPSTREAM_TARBALL_BASENAME_MANGLE = s/~(alpha|beta|rc)/\1/
DEB_UPSTREAM_TARBALL_MD5 = e019911ef8c6d7c33915560e98c188a5

# Ignore graphics and .mo files in addition to the default debian files
DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^(doc/bitcoin_logo_doxygen\.png|src/qt/res/icons/.*\.png|contrib/Bitcoin.app/Contents/Resources/BitcoinAppIcon\.icns|contrib/gitian-downloader/sipa-key\.pgp|debian/(changelog|copyright(|_hints|_newhints)))$

#testsuite needs writable $HOME (see bug#696262)
fakehome = $(CURDIR)/debian/home
pre-build::
	mkdir -p "$(fakehome)"
clean::
	rm -rf "$(fakehome)"

# Use per-package targets and variables for daemon build rules
# TODO: instead use per-flavor variables, when supported by qmake.mk
DEB_BUILDDIR_bitcoind = src
debian/stamps-perpkg-build/bitcoind clean/bitcoind: DEB_MAKE_MAKEFILE = makefile.unix
build/bitcoind:: debian/stamps-perpkg-build/bitcoind
debian/stamps-perpkg-build/bitcoind:
	mkdir -p debian/stamps-perpkg-build
	+$(DEB_MAKE_INVOKE)
	@echo "Debug output for #672524"
	pwd
	ls -Rl .
	$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),,$(DEB_MAKE_INVOKE) test_bitcoin)
	$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),,HOME="$(fakehome)" src/test_bitcoin)
	touch $@
DEB_PHONY_RULES += clean/bitcoind
clean/bitcoind::
	-$(DEB_MAKE_INVOKE) -k clean
clean:: clean/bitcoind
	rm -rf debian/stamps-perpkg-build

DEB_QMAKE_ARGS = USE_DBUS=1 USE_QRCODE=1

# optionally disable miniupnp to ease backporting
CDBS_BUILD_DEPENDS += $(if $(filter noupnp,$(DEB_BUILD_OPTIONS)),,$(comma) libminiupnpc-dev)
DEB_QMAKE_ARGS += $(if $(filter noupnp,$(DEB_BUILD_OPTIONS)),USE_UPNP=-)
DEB_MAKE_EXTRA_ARGS += $(if $(filter noupnp,$(DEB_BUILD_OPTIONS)),USE_UPNP=-)

# work around build failure with gcc 4.7
CXXFLAGS += -fpermissive

# Readd default flags
CXXFLAGS += -DNOPCH -DUSE_SSL
#CXXFLAGS += -Wno-invalid-offsetof -Wformat

# Silence seemingly harmless noise about unused variables
CXXFLAGS += -Wno-unused-variable

# Use optimized miner for amd64 only
CXXFLAGS += $(if $(filter amd64,$(DEB_HOST_ARCH)),-DFOURWAYSSE2)

DEB_INSTALL_EXAMPLES_bitcoind += debian/examples/*
DEB_INSTALL_MANPAGES_bitcoind += debian/manpages/bitcoind.1 debian/manpages/bitcoin.conf.5
DEB_INSTALL_MANPAGES_bitcoin-qt += debian/manpages/bitcoin-qt.1

# Apparently any recent boost is ok.
boostver =
deps-boost = system
# TODO: Drop these when (if ever?) system json is used
deps-boost += filesystem program-options thread test
CDBS_BUILD_DEPENDS += , $(foreach dep,$(deps-boost),libboost-$(dep)$(boostver)-dev$(comma) )

# Apperently any recent BerkeyDB is ok.
# Convenience package did not exist for Debian stable (Squeeze),
# however, so add fallback to ease backportability.
bdbver =
bdbstablever = 4.8
CDBS_BUILD_DEPENDS += , libdb$(bdbver)++-dev | libdb$(bdbstablever)++-dev
CDBS_SUGGESTS_bitcoind = db$(bdbver)-util, db$(bdbstablever)-util

CDBS_BUILD_DEPENDS += , libssl-dev, pkg-config

# Build dependencies for the bitcoin-qt package
CDBS_BUILD_DEPENDS += , qt4-qmake, libqt4-dev, libqrencode-dev

# Upstream README contains no parts relevant for Debian usage
DEB_INSTALL_DOCS_ALL =

pre-build::
	mkdir -p src/obj/nogui

clean::
	find src/obj -type f -not -name .gitignore -delete
	-rmdir --ignore-fail-on-non-empty build
	rm -f src/bitcoind

# Ensure wrapper is set executable
binary-post-install/bitcoind::
	chmod +x debian/bitcoind/usr/bin/bitcoind

## bitcoin 0.8.1

=== debian/changelog ===
bitcoin (0.8.1-1) experimental; urgency=low

  * New upstream release (Closes: #700910, Closes: #701085, Closes: #703213)
    (LP: #1130638)
  * debian/patches
    - Removed 1004_conservative_qt-dbus.patch applied upstream
    - New 1005_use_system_libleveldb.patch
      use system leveldb, build convenience copy of libmemenv.a but only
      linked against test suite which is not distributed
  * removed depricated Encoding key from bitcoin-qt.desktop

 -- Scott Howard <showard@debian.org>  Tue, 26 Feb 2013 14:10:15 -0500

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,8 @@
  pkg-config,
  qt4-qmake,
  libqt4-dev,
- libqrencode-dev
+ libqrencode-dev,
+ libleveldb-dev
 Standards-Version: 3.9.4
 Homepage: http://www.bitcoin.org/
 Vcs-Git: git://git.debian.org/git/collab-maint/bitcoin

=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,7 @@
 DEB_UPSTREAM_URL = https://github.com/bitcoin/bitcoin/archive
 DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
 DEB_UPSTREAM_TARBALL_BASENAME_MANGLE = s/~(alpha|beta|rc)/\1/
-DEB_UPSTREAM_TARBALL_MD5 = e019911ef8c6d7c33915560e98c188a5
+DEB_UPSTREAM_TARBALL_MD5 = d767f23fa7a2ce0143f738b30deb32e0
 
 # Ignore graphics and .mo files in addition to the default debian files
 DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^(doc/bitcoin_logo_doxygen\.png|src/qt/res/icons/.*\.png|contrib/Bitcoin.app/Contents/Resources/BitcoinAppIcon\.icns|contrib/gitian-downloader/sipa-key\.pgp|debian/(changelog|copyright(|_hints|_newhints)))$
@@ -99,7 +99,7 @@
 CDBS_BUILD_DEPENDS += , libdb$(bdbver)++-dev | libdb$(bdbstablever)++-dev
 CDBS_SUGGESTS_bitcoind = db$(bdbver)-util, db$(bdbstablever)-util
 
-CDBS_BUILD_DEPENDS += , libssl-dev, pkg-config
+CDBS_BUILD_DEPENDS += , libssl-dev, pkg-config, libleveldb-dev
 
 # Build dependencies for the bitcoin-qt package
 CDBS_BUILD_DEPENDS += , qt4-qmake, libqt4-dev, libqrencode-dev
